Bug 1124483 - Review Request: ampr-ripd - Routing daemon for the ampr network
Summary: Review Request: ampr-ripd - Routing daemon for the ampr network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 15:11 UTC by Jaroslav Škarvada
Modified: 2014-09-23 04:23 UTC (History)
2 users (show)

Fixed In Version: ampr-ripd-1.11-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-29 13:37:59 UTC
jsynacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2014-07-29 15:11:53 UTC
Spec URL: https://fedorapeople.org/~jskarvad/ampr-ripd/ampr-ripd.spec
SRPM URL: https://fedorapeople.org/~jskarvad/ampr-ripd/ampr-ripd-1.11-1.fc20.src.rpm
Description: Routing daemon written in C similar to Hessu's rip44d including optional resending of RIPv2 broadcasts for router injection.
Fedora Account System Username: jskarvad

Comment 1 Jan Synacek 2014-08-29 11:36:00 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "Unknown
     or generated". 2 files have unknown license. Detailed output of
     licensecheck in /home/jsynacek/work/reviews/amprd/1124483-ampr-
     ripd/licensecheck.txt
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ampr-ripd-1.11-1.fc22.x86_64.rpm
          ampr-ripd-1.11-1.fc22.src.rpm
ampr-ripd.x86_64: W: spelling-error %description -l en_US resending -> reseeding, resenting, re sending
ampr-ripd.x86_64: W: no-manual-page-for-binary ampr-ripd
ampr-ripd.src: W: spelling-error %description -l en_US resending -> reseeding, resenting, re sending
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ampr-ripd
ampr-ripd.x86_64: W: spelling-error %description -l en_US resending -> reseeding, resenting, re sending
ampr-ripd.x86_64: W: no-manual-page-for-binary ampr-ripd
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
ampr-ripd (rpmlib, GLIBC filtered):
    /bin/sh
    libc.so.6()(64bit)
    rtld(GNU_HASH)
    systemd



Provides
--------
ampr-ripd:
    ampr-ripd
    ampr-ripd(x86-64)



Source checksums
----------------
http://www.yo2loj.ro/hamprojects/ampr-ripd-1.11.tgz :
  CHECKSUM(SHA256) this package     : 35eebb45c863d28e0778f1ecb01901f0ef76f1b93db75fe72d1cc183868b571c
  CHECKSUM(SHA256) upstream package : 35eebb45c863d28e0778f1ecb01901f0ef76f1b93db75fe72d1cc183868b571c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1124483
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Jan Synacek 2014-08-29 11:40:27 UTC
Man pages are missing, but manual.txt is present. No problem.

According to the author, FSF address correction has been communicated to upstream. No problem.

Manual check of source files and resulting package looks sane, no problems spotted.

ACCEPTing.

Comment 3 Jaroslav Škarvada 2014-08-29 12:20:36 UTC
(In reply to Jan Synacek from comment #2)

Thank you. for the review.

Comment 4 Jaroslav Škarvada 2014-08-29 12:24:18 UTC
New Package SCM Request
=======================
Package Name: ampr-ripd
Short Description: Routing daemon for the ampr network
Upstream URL: http://www.yo2loj.ro/hamprojects/
Owners: jskarvad
Branches: f20 f21
InitialCC:

Comment 5 Gwyn Ciesla 2014-08-29 13:03:19 UTC
Git done (by process-git-requests).

Comment 6 Jaroslav Škarvada 2014-08-29 13:09:04 UTC
(In reply to Jon Ciesla from comment #5)
> Git done (by process-git-requests).

Thanks.

Comment 7 Fedora Update System 2014-08-29 13:56:58 UTC
ampr-ripd-1.11-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ampr-ripd-1.11-1.fc21

Comment 8 Fedora Update System 2014-08-29 13:57:44 UTC
ampr-ripd-1.11-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ampr-ripd-1.11-1.fc20

Comment 9 Fedora Update System 2014-09-19 10:17:59 UTC
ampr-ripd-1.11-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-09-23 04:23:18 UTC
ampr-ripd-1.11-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.